Bug 86795 - [NEW PORT] net/ldapscripts
Summary: [NEW PORT] net/ldapscripts
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Edwin Groothuis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-01 14:20 UTC by ganael.laplanche
Modified: 2005-10-17 01:11 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2005-10-01 14:20:18 UTC
	The ldapscripts are simple shell scripts that allow to manage POSIX accounts (users, groups, 
machines) in an LDAP directory. They can be used as independent tools or within Samba configuration 
to manage POSIX parts of the LDAP accounts. See README for more details.

Fix: --------------- shar starts here ---------------


--------------- shar ends here -----------------toueiGtyog0bsYipz37l8kaAXGJ2LFAJzhNd6IPjzdyFfvNO
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	ldapscripts
#	ldapscripts/Makefile
#	ldapscripts/distinfo
#	ldapscripts/pkg-descr
#	ldapscripts/pkg-plist
#
echo c - ldapscripts
mkdir -p ldapscripts > /dev/null 2>&1
echo x - ldapscripts/Makefile
sed 's/^X//' >ldapscripts/Makefile << 'END-of-ldapscripts/Makefile'
X# New ports collection makefile for:	ldapscripts
X# Date created:		Sat Oct 01 09:30:00 UTC 2003
X# Whom:			Ganael LAPLANCHE <ganael.laplanche@martymac.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	ldapscripts
XPORTVERSION=	1.3
XCATEGORIES=	net
XMASTER_SITES=	http://contribs.martymac.com/ldapscripts/
XEXTRACT_SUFX=	.tgz
X
XMAINTAINER=	ganael.laplanche@martymac.com
XCOMMENT=	Scripts to manage posix accounts in an OpenLDAP directory
X
XRUN_DEPENDS=	ldapadd:${PORTSDIR}/net/openldap23-sasl-client \
X		ldapsearch:${PORTSDIR}/net/openldap23-sasl-client \
X		ldapdelete:${PORTSDIR}/net/openldap23-sasl-client \
X		ldapmodify:${PORTSDIR}/net/openldap23-sasl-client \
X		slappasswd:${PORTSDIR}/net/openldap23-server
X
XUSE_REINPLACE=	yes
X
X# Change /etc to ${LOCALBASE}/etc
Xpost-patch:
X.for file in _ldapdeletemachine _ldapinit _lsldap ldapaddgroup ldapadduser ldapdeletegroup \
X		ldapdeleteuserfromgroup ldapsetprimarygroup ldapaddmachine ldapaddusertogroup ldapdeleteuser \
X		ldapscripts.conf runtime README CHANGELOG COPYING VERSION
X	${REINPLACE_CMD} -E -e "s|/etc/ldapscripts|${LOCALBASE}/etc/ldapscripts|g" ${WRKSRC}/${file}
X.endfor
X
X# We do not use any Makefile
Xdo-build:
X
X# Just copy the scripts
Xdo-install:
X	${CP} ${WRKSRC}/_ldapdeletemachine ${PREFIX}/bin
X	${CP} ${WRKSRC}/_ldapinit ${PREFIX}/bin
X	${CP} ${WRKSRC}/_lsldap ${PREFIX}/bin
X	${CP} ${WRKSRC}/ldapaddgroup ${PREFIX}/bin
X	${CP} ${WRKSRC}/ldapadduser ${PREFIX}/bin
X	${CP} ${WRKSRC}/ldapdeletegroup ${PREFIX}/bin
X	${CP} ${WRKSRC}/ldapdeleteuserfromgroup ${PREFIX}/bin
X	${CP} ${WRKSRC}/ldapsetprimarygroup ${PREFIX}/bin
X	${CP} ${WRKSRC}/ldapaddmachine ${PREFIX}/bin
X	${CP} ${WRKSRC}/ldapaddusertogroup ${PREFIX}/bin
X	${CP} ${WRKSRC}/ldapdeleteuser ${PREFIX}/bin
X
X	${MKDIR} ${LOCALBASE}/etc/ldapscripts
X	if [ -f ${LOCALBASE}/etc/ldapscripts/ldapscripts.conf ]; then \
X		${CP} ${LOCALBASE}/etc/ldapscripts/ldapscripts.conf ${LOCALBASE}/etc/ldapscripts/ldapscripts.conf.old; \
X	fi
X	${CP} ${WRKSRC}/ldapscripts.conf ${LOCALBASE}/etc/ldapscripts
X	${CP} ${WRKSRC}/runtime ${LOCALBASE}/etc/ldapscripts
X	${CP} ${WRKSRC}/README ${LOCALBASE}/etc/ldapscripts
X	${CP} ${WRKSRC}/CHANGELOG ${LOCALBASE}/etc/ldapscripts
X	${CP} ${WRKSRC}/COPYING ${LOCALBASE}/etc/ldapscripts
X	${CP} ${WRKSRC}/VERSION ${LOCALBASE}/etc/ldapscripts
X
X.include <bsd.port.mk>
END-of-ldapscripts/Makefile
echo x - ldapscripts/distinfo
sed 's/^X//' >ldapscripts/distinfo << 'END-of-ldapscripts/distinfo'
XMD5 (ldapscripts-1.3.tgz) = ba297b68e199c222f2971249561bcc6d
XSIZE (ldapscripts-1.3.tgz) = 14292
END-of-ldapscripts/distinfo
echo x - ldapscripts/pkg-descr
sed 's/^X//' >ldapscripts/pkg-descr << 'END-of-ldapscripts/pkg-descr'
XLdapscripts
X
XThe ldapscripts allow to easily manage POSIX accounts (users, groups, machines)
Xin an LDAP directory. They can be used independently as shell commands or within
XSamba's configuration. See README for more details.
X
XWWW: http://contribs.martymac.com
END-of-ldapscripts/pkg-descr
echo x - ldapscripts/pkg-plist
sed 's/^X//' >ldapscripts/pkg-plist << 'END-of-ldapscripts/pkg-plist'
Xetc/ldapscripts/ldapscripts.conf
Xetc/ldapscripts/runtime
Xetc/ldapscripts/README
Xetc/ldapscripts/CHANGELOG
Xetc/ldapscripts/COPYING
Xetc/ldapscripts/VERSION
X@unexec rmdir %D/etc/ldapscripts 2>/dev/null || true
Xbin/_ldapdeletemachine
Xbin/_ldapinit
Xbin/_lsldap
Xbin/ldapaddgroup
Xbin/ldapaddmachine
Xbin/ldapadduser
Xbin/ldapaddusertogroup
Xbin/ldapdeletegroup
Xbin/ldapdeleteuser
Xbin/ldapdeleteuserfromgroup
Xbin/ldapsetprimarygroup
END-of-ldapscripts/pkg-plist
exit
Comment 1 Tilman Keskinoz freebsd_committer 2005-10-05 17:48:22 UTC
Class Changed
From-To: maintainer-update->change-request

Fix class
Comment 2 Edwin Groothuis freebsd_committer 2005-10-16 05:10:25 UTC
State Changed
From-To: open->feedback

Please resolve this issue: 

===>  openldap-server-2.3.9 conflicts with installed package(s):  
openldap-sasl-client-2.3.9 

ldapmodify:${PORTSDIR}/net/openldap23-sasl-client  
slappasswd:${PORTSDIR}/net/openldap23-server 


Comment 3 Edwin Groothuis freebsd_committer 2005-10-16 05:10:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->edwin

will take care of it.
Comment 4 Edwin Groothuis freebsd_committer 2005-10-17 01:11:21 UTC
State Changed
From-To: feedback->closed

Committed, thanks!